summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2016-09-04 09:13:42 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-09-04 09:13:42 +0700
commit2dff3c1d2513c85f6eb1b3b6ef5a202962d4420f (patch)
treef6cf56138df34cc7979e8289518237f2f828b6db /academic
parentcf85fe002cd29a3ce050defc7b2a7762ee4b3739 (diff)
downloadslackbuilds-2dff3c1d2513c85f6eb1b3b6ef5a202962d4420f.tar.gz
slackbuilds-2dff3c1d2513c85f6eb1b3b6ef5a202962d4420f.tar.xz
academic/libqalculate: Added (desktop caculator library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/libqalculate/README4
-rw-r--r--academic/libqalculate/libqalculate.SlackBuild95
-rw-r--r--academic/libqalculate/libqalculate.info10
-rw-r--r--academic/libqalculate/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/academic/libqalculate/README b/academic/libqalculate/README
new file mode 100644
index 0000000000..d67d9a7bd8
--- /dev/null
+++ b/academic/libqalculate/README
@@ -0,0 +1,4 @@
+Qalculate! is a multi-purpose desktop calculator for GNU/Linux (and Mac OS). It
+is small and simple to use but with much power and versatility underneath.
+Features include customizable functions, units, arbitrary precision, plotting,
+and a user-friendly interface (GTK+ and CLI).
diff --git a/academic/libqalculate/libqalculate.SlackBuild b/academic/libqalculate/libqalculate.SlackBuild
new file mode 100644
index 0000000000..a4f26fcc50
--- /dev/null
+++ b/academic/libqalculate/libqalculate.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for libqalculate
+
+# Copyright 2016 Larry Hajali <larryhaja[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libqalculate
+VERSION=${VERSION:-0.9.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-silent-rules \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cp -a AUTHORS ChangeLog COPYING NEWS README* TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/libqalculate/libqalculate.info b/academic/libqalculate/libqalculate.info
new file mode 100644
index 0000000000..b16b023fc9
--- /dev/null
+++ b/academic/libqalculate/libqalculate.info
@@ -0,0 +1,10 @@
+PRGNAM="libqalculate"
+VERSION="0.9.10"
+HOMEPAGE="http://qalculate.github.io/"
+DOWNLOAD="https://github.com/Qalculate/libqalculate/releases/download/v0.9.10/libqalculate-0.9.10.tar.gz"
+MD5SUM="d7b372ade5980ff902c6af8b6c73bf02"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="cln"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
diff --git a/academic/libqalculate/slack-desc b/academic/libqalculate/slack-desc
new file mode 100644
index 0000000000..84c06b2451
--- /dev/null
+++ b/academic/libqalculate/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libqalculate: libqalculate (desktop caculator library)
+libqalculate:
+libqalculate: Qalculate! is a multi-purpose desktop calculator for GNU/Linux (and
+libqalculate: Mac OS). It is small and simple to use but with much power and
+libqalculate: versatility underneath. Features include customizable functions,
+libqalculate: units, arbitrary precision, plotting, and a user-friendly interface
+libqalculate: (GTK+ and CLI).
+libqalculate:
+libqalculate: Homepage: http://qalculate.github.io/
+libqalculate:
+libqalculate: